﻿using System;
using System.Globalization;
using System.Windows.Data;
using PdfRotator.Util;

namespace PdfRotator.Converter
{
    [ValueConversion(typeof(object), typeof(string))]
    public class EnumToDescriptionConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return EnumUtil.GetDescription(value);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}